View Single Post
Old 12-06-2014, 03:55 AM   #12
blancha
Senior Member
 
Location: Montreal

Join Date: May 2013
Posts: 367
Default

Right, you should also get the latest version of TopHat that comes bundled with the appropriate version of samtools required by TopHat.

You'll then have the best of best worlds, the latest version of TopHat running with a tried and tested version of samtools, and the latest version of samtools with all the new bells and whistles.

I'm basing all these assumptions on Devon Ryan's post, but his explanations are quite convincing and his description of the bug corresponds to yours.

My advice:
1- Install the very latest version of samtools with all the new bells and whistles, and without the bug.
2- Install the latest version of TopHat2 which comes bundled with a tried and tested version of samtools, that has been tested for compatibility with TopHat2. (This version will be used internally by TopHat.)
blancha is offline   Reply With Quote